Generate a note artifact
curl --request POST \
--url https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "auto",
"regenerate": false
}
'import requests
url = "https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind}"
payload = {
"language": "auto",
"regenerate": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({language: 'auto', regenerate: false})
};
fetch('https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import Foundation
let parameters = [
"language": "auto",
"regenerate": false
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind}")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"language\": \"auto\",\n \"regenerate\": false\n}")
val request = Request.Builder()
.url("https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind}")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"note_id": "<string>",
"kind": "epiphany",
"title": "<string>",
"content": "<unknown>"
}{
"note_id": "<string>",
"status": "queued",
"stage": "<string>",
"title": "<string>",
"created_at": 123,
"updated_at": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Artifacts
Generate a note artifact
POST
https://audream-api.tulingbc.com
/
v1
/
notes
/
{note_id}
/
artifacts
/
{artifact_kind}
Generate a note artifact
curl --request POST \
--url https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"language": "auto",
"regenerate": false
}
'import requests
url = "https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind}"
payload = {
"language": "auto",
"regenerate": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({language: 'auto', regenerate: false})
};
fetch('https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import Foundation
let parameters = [
"language": "auto",
"regenerate": false
] as [String : Any?]
let postData = try JSONSerialization.data(withJSONObject: parameters, options: [])
let url = URL(string: "https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind}")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = [
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
]
request.httpBody = postData
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))val client = OkHttpClient()
val mediaType = MediaType.parse("application/json")
val body = RequestBody.create(mediaType, "{\n \"language\": \"auto\",\n \"regenerate\": false\n}")
val request = Request.Builder()
.url("https://audream-api.tulingbc.com/v1/notes/{note_id}/artifacts/{artifact_kind}")
.post(body)
.addHeader("Authorization", "Bearer <token>")
.addHeader("Content-Type", "application/json")
.build()
val response = client.newCall(request).execute(){
"note_id": "<string>",
"kind": "epiphany",
"title": "<string>",
"content": "<unknown>"
}{
"note_id": "<string>",
"status": "queued",
"stage": "<string>",
"title": "<string>",
"created_at": 123,
"updated_at": 123
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
API key beginning with audream_sk_.
Path Parameters
Client-generated note UUID.
Optional AI artifact to generate.
Available options:
epiphany, deep_research, podcast Body
application/json